org.restlet.engine.http.header

## Class MetadataWriter<M extends Metadata>

- java.lang.Object
- - java.io.Writer
  - - java.io.StringWriter
    - - org.restlet.engine.http.header.HeaderWriter<M>
      - - org.restlet.engine.http.header.MetadataWriter<M>

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

Direct Known Subclasses:
  EncodingWriter, LanguageWriter

    public class MetadataWriter<M extends Metadata>
    extends HeaderWriter<M>

Metadata header writer.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`MetadataWriter()`

### Method Summary

Methods
`MetadataWriter<M>` `append(M metadata)` Appends a value.

### Methods inherited from class org.restlet.engine.http.header.HeaderWriter

`append, append, append, append, append, append, appendComment, appendExtension, appendExtension, appendParameterSeparator, appendProduct, appendQuotedPair, appendQuotedString, appendSpace, appendToken, appendUriEncoded, appendValueSeparator, canWrite`

### Methods inherited from class java.io.StringWriter

`append, close, flush, getBuffer, toString, write, write, write, write`

### Methods inherited from class java.io.Writer

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetadataWriter

    public MetadataWriter()

### Method Detail

#### append

    public MetadataWriter<M> append(M metadata)

Description copied from class: `HeaderWriter`
Appends a value.

Specified by:
  `append` in class `HeaderWriter<M extends Metadata>`
Parameters:
  `metadata` - The value.
Returns:
  This writer.